import App from './App'
import {
	imgAssets,
	appUrl
} from './common/js/net/mainUrl'
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	// app.provide('globalData', {
	// 	appTitle: '测试'
	// })
	app.provide('globalData', {
		imgAssetsUrl: imgAssets,
		locImg: "/static/images",
		slideBtns: [],
		appTitle: 'AI喵著',
		appUrl: appUrl,
		onlyDelBtns: [],
		cancelEditBtns: [],
		primaryColor: '#FFA900'
	})
	return {
		app
	}
}
// #endif